# Uses of Interface
org.opensaml.xacml.ctx.StatusDetailType

Packages that use StatusDetailType
Package
Description
org.opensaml.xacml.ctx
XMLObject interfaces for XACML context schema.
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.

## Uses of StatusDetailType in org.opensaml.xacml.ctx

Methods in org.opensaml.xacml.ctx that return StatusDetailType
Modifier and Type
Method
Description
`StatusDetailType`
StatusType.`getStatusDetail()`
Gets the status detail of status.
Methods in org.opensaml.xacml.ctx with parameters of type StatusDetailType
Modifier and Type
Method
Description
`void`
StatusType.`setStatusDetail(StatusDetailType statusDetail)`
Sets the status detail for the Status.

## Uses of StatusDetailType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement StatusDetailType
Modifier and Type
Class
Description
`class`
`StatusDetailTypeImpl`
Concrete implementation of `StatusDetailType`.
Fields in org.opensaml.xacml.ctx.impl declared as StatusDetailType
Modifier and Type
Field
Description
`private StatusDetailType`
StatusTypeImpl.`statusDetail`
Status detail element.
Methods in org.opensaml.xacml.ctx.impl that return StatusDetailType
Modifier and Type
Method
Description
`StatusDetailType`
StatusDetailTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`StatusDetailType`
StatusDetailTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`StatusDetailType`
StatusTypeImpl.`getStatusDetail()`
Gets the status detail of status.
Methods in org.opensaml.xacml.ctx.impl with parameters of type StatusDetailType
Modifier and Type
Method
Description
`void`
StatusTypeImpl.`setStatusDetail(StatusDetailType newStatusDetail)`
Sets the status detail for the Status.